<?php

namespace App\Server\Location;

use App\Server\ToolServer;

class QQMapProvider extends AddressProvider
{
    private $type = 'qq';

    public function addressToLocate()
    {
    }

    public function locateToAddress(array $params)
    {
        $params['key'] = $this->appKey;
        $url           = 'https://apis.map.qq.com/ws/geocoder/v1/';

        return $data = ToolServer::curl('get', $url, $params, false, true);
    }

    public function getType()
    {
        return $this->type;
    }
}
